// DiagramEng.h : main header file for the DIAGRAMENG application
//

#if !defined(AFX_DIAGRAMENG_H__42C8FAAD_42F3_4F50_8414_FB31F782233B__INCLUDED_)
#define AFX_DIAGRAMENG_H__42C8FAAD_42F3_4F50_8414_FB31F782233B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CDiagramEngApp:
// See DiagramEng.cpp for the implementation of this class
//

class CDiagramEngApp : public CWinApp
{
public:
	int SaveAllDocuments(void);
	void OnFileRecentFileOpen(UINT i);
	CDocTemplate* GetCOutputViewTemplate(void) const;
	CDiagramEngApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDiagramEngApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation
	//{{AFX_MSG(CDiagramEngApp)
	afx_msg void OnAppAbout();
	afx_msg void OnAppExit();
	afx_msg void OnFileOpen();
	afx_msg void OnWndCloseAllDocs();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CDocTemplate *m_pCOutputViewTemplate;
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIAGRAMENG_H__42C8FAAD_42F3_4F50_8414_FB31F782233B__INCLUDED_)
